XBPS-CHECKVERS(1)

NAME
xbps-checkvers - XBPS utility to check for outdated packages

SYNOPSIS
xbps-checkvers [OPTIONS] [FILES...]

DESCRIPTION
The xbps-checkvers utility checks for outdated packages in a target root directory or in all registered repositories by comparing the package versions against the source package versions available in a void-packages tree. By default and unless the -i, --installed option is set, it will compare package versions in repositories against the void-packages tree. The FILES argument sets extra packages to process with the outdated ones (only processed if missing).

OPTIONS

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '/' then it's a relative path of rootdir.

-D, --distdir dir
    Specifies a full path to the void-packages repository. By default set to ~/void-packages.

-e, --removed
    List packages present in repos, but not in distdir. Srcver is a question mark for them.

-d, --debug
    Enables extra debugging shown to stderr.

-f, --format format
    Format according to the string format, inspired by printf(3).

    The following formatting codes may be used:

    \n  Newline.

    \t  Tab.

    \0  NULL.

    %%  A plain ‘%’.

    %n  The package name.

    %r  The package version from repositories or pkgdb (returns ? if not found).

    %s  The source package version (returns ? if not found).

    %t  The requested template name (this can be a sub package).

    %R  The repository url (returns ? if not found).

    The default format is “%n %r %s %t %R”.

-h, --help
    Show the help message.

-i, --ignore-conf-repos
    Ignore repositories defined in configuration files. Only repositories specified in the command line via --repository will be used.

-I, --installed
    Check for outdated installed packages rather than in repositories.

-m, --manual
    Only process listed files.

-R, --repository=uri
    Repository to be added to the top of the list. This option can be specified multiple times.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-s, --show-all
    List all packages found in the void-packages tree and prints version available in repository and srcpkgs with the following format: pkgname repover srcver. If any version can't be resolved,? is printed instead.

-V, --version
    Show the version information.

SEE ALSO
xbps-create(1), xbps-dgraph(1), xbps-digest(1), xbps-fbulk(1), xbps-fetch(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Dave Elusive <davehome@redthumb.info.tm> Juan Romero Pardines <xtraeme@gmail.com> Duncan Overbruck <mail@duncano.de>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues